## altos 1.9.6

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath kalman_micro.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

TOPDIR=.

include Makedefs

ARMM3DIRS=\
	easymega-v1.0 easymega-v1.0/flash-loader \
	easymega-v2.0 easymega-v2.0/flash-loader \
	easytimer-v1 easytimer-v1/flash-loader \
	telemega-v0.1 telemega-v0.1/flash-loader \
	telemega-v1.0 telemega-v1.0/flash-loader \
	telemega-v2.0 telemega-v2.0/flash-loader \
	telemega-v3.0 telemega-v3.0/flash-loader \
	telemega-v4.0 telemega-v4.0/flash-loader \
	telemetrum-v2.0 telemetrum-v2.0/flash-loader \
	telemetrum-v3.0 telemetrum-v3.0/flash-loader \
	telegps-v0.3 telegps-v0.3/flash-loader \
	telegps-v1.0 telegps-v1.0/flash-loader \
	telegps-v2.0 telegps-v2.0/flash-loader \
	telelco-v0.2 telelco-v0.2/flash-loader \
	telelco-v0.2-cc1200 telelco-v0.2-cc1200/flash-loader \
	telelco-v0.3 telelco-v0.3/flash-loader \
	telelco-v2.0 telelco-v2.0/flash-loader \
	teledongle-v3.0 teledongle-v3.0/flash-loader \
	teleballoon-v2.0 \
	telebt-v3.0 telebt-v3.0/flash-loader \
	telebt-v4.0 telebt-v4.0/flash-loader \
	telelcotwo-v0.1 telelcotwo-v0.1/flash-loader \
	telefireone-v1.0 telefireone-v1.0/flash-loader \
	telefiretwo-v0.1 telefiretwo-v0.1/flash-loader \
	telefireeight-v1.0 telefireeight-v1.0/flash-loader \
	telefireeight-v2.0 telefireeight-v2.0/flash-loader 

ARMM0DIRS=\
	easymini-v1.0 easymini-v1.0/flash-loader \
	chaoskey-v1.0 chaoskey-v1.0/flash-loader \
	telemini-v3.0 telemini-v3.0/flash-loader \
	easymini-v2.0 easymini-v2.0/flash-loader \
	micropeak-v2.0

AVRDIRS=\
	micropeak microkite microsplash

SUBDIRS=

ifeq ($(strip $(HAVE_ARM_M3_CC)),yes)
SUBDIRS+=$(ARMM3DIRS)
foo=bar
endif

ifeq ($(strip $(HAVE_ARM_M0_CC)),yes)
SUBDIRS+=$(ARMM0DIRS)
baz=bletch
endif

ifeq ($(strip $(HAVE_AVR_CC)),yes)
SUBDIRS += $(AVRDIRS)
endif

ALLDIRS=$(ARMM3DIRS) $(ARMM0DIRS) $(AVRDIRS)

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

ALL_RECURSIVE_TARGETS = clean-recursive

$(ALL_RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(ALLDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h altitude-pa-small.h ao_kalman.h ao_whiten.h $(PDCLIB)

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

altitude-pa-small.h: make-altitude-pa
	nickle $< --sample 3 > $@

ao_kalman.h: make-kalman kalman.5c kalman_micro.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local: $(CLEAN_PDCLIB)
	rm -f altitude.h ao_kalman.h

=== src/avr-demo/Makefile ===
#
# AltOS build
#
#
vpath % ..:../kernel:../product:../drivers:../avr
vpath make-altitude ..
vpath make-kalman ..
vpath kalman.5c ../kalman
vpath kalman_filter.5c ../kalman
vpath load_csv.5c ../kalman
vpath matrix.5c ../kalman
vpath ao-make-product.5c ../util

include ../avr/Makefile.defs

MCU=atmega32u4
DUDECPUTYPE=m32u4
#PROGRAMMER=stk500v2 -P usb
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:

INC = \
	ao.h \
	ao_pins.h \
	altitude.h \
	ao_kalman.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_cmd.c \
	ao_mutex.c \
	ao_panic.c \
	ao_product.c \
	ao_romconfig.c \
	ao_serial_avr.c \
	ao_avr_stdio.c \
	ao_stdio.c \
	ao_task.c \
	ao_timer.c \
	ao_led_avr.c \
	ao_usb_avr.c \
	ao_lcd.c

PRODUCT=AvrDemo-v0.0
MCU=atmega32u4
PRODUCT_DEF=-DAVR_DEMO
IDPRODUCT=0x000a
CFLAGS = $(PRODUCT_DEF) -I. -I../avr -I../kernel -I..
CFLAGS += -mmcu=$(MCU) -Wall -Wstrict-prototypes -mcall-prologues

NICKLE=nickle

PROG=avr-demo

SRC=$(ALTOS_SRC) ao_demo.c ao_debug_avr.c
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)

$(PROG).hex: $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(PROG).hex
	$(LOADCMD) $(LOADARG)$(PROG).hex

../altitude.h: make-altitude
	nickle $< > $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.rel: ao_product.c ao_product.h
	$(call quiet,CC) -c $(CFLAGS) -D PRODUCT_DEFS='\"ao_product.h\"' -o$@ $<

distclean:	clean

clean:
	rm -f $(OBJ)
	rm -f ao_product.h

install:

uninstall:

$(OBJ): ao.h ao_product.h

=== src/easymini-v1.0/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	lpc.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_mini.c \
	ao_cmd.c \
	ao_config.c \
	ao_timer_lpc.c \
	ao_exti_lpc.c \
	ao_usb_lpc.c \
	ao_spi_lpc.c \
	ao_adc_lpc.c \
	ao_beep_lpc.c \
	ao_m25.c \
	ao_ms5607.c

PRODUCT=EasyMini-v1.0
PRODUCT_DEF=-DEASYMINI_V_1_0
IDPRODUCT=0x0026

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROGNAME=easymini-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymini.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

load: $(PROG)
	lpc-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easymini-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	stm32f0.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_mini.c \
	ao_cmd.c \
	ao_config.c \
	ao_dma_stm.c \
	ao_timer.c \
	ao_exti_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_usb_stm.c \
	ao_m25.c \
	ao_ms5607.c \
	ao_beep_stm.c

PRODUCT=EasyMini-v2.0
PRODUCT_DEF=-DEASYMINI_V_2_0
IDPRODUCT=0x0026

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

PROGNAME=easymini-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymini.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/lpcxpresso/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	lpc.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_romconfig.c \
	ao_product.c \
	ao_panic.c \
	ao_led_lpc.c \
	ao_task.c \
	ao_cmd.c \
	ao_timer_lpc.c \
	ao_serial_lpc.c \
	ao_usb_lpc.c \
	ao_stdio.c

PRODUCT=LpcDemo-v0.0
PRODUCT_DEF=-DLPC_DEMO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROG=lpc-demo.elf

SRC=$(ALTOS_SRC) ao_demo.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

LDFLAGS=-L../lpc -Wl,-Taltos.ld

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

load: $(PROG)
	lpc-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== src/telelco-v2.0/Makefile ===
#
# AltOS build for TeleLCO v2.0
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	ao_product.h \
	ao_seven_segment.h \
	ao_lco.h \
	ao_lco_cmd.h \
	ao_lco_func.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	ao_cc1200_CC1200.h \
	ao_cc1200.h \
	stm32l.h

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_adc_single_stm.c \
	ao_convert_volt.c \
	ao_fast_timer.c \
	ao_lcd_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_cc1200.c \
	ao_radio_cmac.c \
	ao_aes.c \
	ao_aes_tables.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_seven_segment.c \
	ao_quadrature.c \
	ao_button.c \
	ao_event.c \
	ao_lco_bits.c \
	ao_lco_v2.c \
	ao_lco_cmd.c \
	ao_lco_func.c \
	ao_radio_cmac_cmd.c

PRODUCT=TeleLCO-v2.0
PRODUCT_DEF=-DTELELCO
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF)

PROGNAME=telelco-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_telelco.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/chaoskey-v0.1/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=chaoskey-v0.1
include $(TOPDIR)/stmf0/Makefile-flash.defs

=== src/telefireone-v2.0/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=telefireone-v2.0
include $(TOPDIR)/stm/Makefile-flash.defs

=== debian/changelog ===
altos (1.9.6-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * Releasing: updated with changes from 1.9.5 release
  * first cut at EasyMotor v2 .. not compiling yet
  * easymotor: override .gitignore to store Makefiles
  * recover easymotor-v2/flash-loader/ao_pins.h from backups
  * update configure.ac for 1.9.6 release
  * releaseing 1.9.6

  [ Keith Packard ]
  * altos: Remove linker map files during 'make clean'
  * altos: Fix flash loader map file names
  * altosui: Include telelco and telefireeight firmware in FAT builds
  * libaltos: Avoid using strcmp and strchr on windows
  * altos/drivers: Add ao_adxl375_accel_to_sample macro
  * altos: Allow use of ADXL375 as IMU
  * altos: Add EasyMotor logging support
  * altos: Support accel-only IMU configurations
  * altos/stmf0: Add spi format configuration options
  * altos/easymotor-v2: Add .gitignore
  * altos/easymotor-v2: Get easy motor building
  * altos/easymotor-v2: Use same init order as easymini
  * altos/easymotor-v2: Fix beeper config
  * altos/stmf0: Fixup for SPI mode support
  * altos/easymotor-v2: ADXL375 is upside-down compared with other boards
  * altos/easymotor-v2: Beep out 'pad mode' repeatedly
  * altos: Let ao_data.c be used by ao_flight_test
  * altos/test: Build ao_flight_test_motor
  * altos/easymotor-v2: Add 'through' axis definition
  * altos: Change adxl375 self test parameters
  * altos: De-bias height/speed data while on pad
  * altos: Log motor pressure and battery voltage for EasyMotor
  * altos/test: Clean up easy motor test jig
  * altos: Support negative decimal values on command line
  * altos: Add motor pressure calibration data to easy motor log
  * altos: Reset 3d-accel and motor pressure sums each ground interval
  * altoslib: Initialize gyro offset values to MISSING
  * altoslib: Add conversion for motor pressure sensor
  * altoslib: Add 'motor_pressure' data value
  * altosuilib: Graph motor pressure
  * altoslib: Add EasyMotor EEPROM support
  * altoslib: Report metric pressure in kPa instead of Pa
  * altoslib: use motor pressure calibration data for EasyMotor
  * altoslib: Correct ADXL counts_per_g
  * altoslib: Easy Motor v2 x axis is inverted
  * altoslib: Limit .csv file output to valid fields for EasyMotor
  * altoslib: Clip accelerometer-based speed to >= 0
  * altoslib: Add defines for EasyMotor
  * altoslib: Don't pass along GPS information when the GPS device is busted
  * doc: 1.9.6 release notes
  * libaltos: Add pre-built windows dll binaries
  * doc: Mention BMX-160 self-test fix in 1.9.6 release notes

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Oct 2020 16:20:59 -0600

altos (1.9.5-1) unstable; urgency=medium

  [ Keith Packard ]
  * altosui: Spurious ; in altos-windows.nsi.in kept out TM v3.0 ihx
  * Add support for TLS if needed
  * Releasing: save .map files too
  * altos: Use state transitions to directly drive igniters
  * altos: Add 'booster' mode for dual-deploy igniters
  * altos/stm: Increase MISO DMA priority to very high
  * altos: Protect shared storage_data with mutex
  * altos: Support flash parts > 8MB
  * altos: Use new ao_spi_speed inline to set SPI speeds using spec'd frequencies
  * altosui: Re-set pad orientation labels after product name is set
  * altos/stmf0, stm32f0: Call ao_boot_chain to start application
  * altos/stm: Fix stack validation code
  * altos: Fix a bunch of time variables to be AO_TICK_TYPE
  * altos: Add initial stm32l0 support
  * altos: Switch micropeak v2.0 to stm32l0
  * altos: Declare ao_delay_until API in ao.h
  * altos: Move empty ao_mutex_get/put to ao_notask.h
  * altos: Add ao_delay_until to ao_notask
  * remove ao_delay_until from ao.h
  * altos/ao_storage: allow erased byte value to be set by application
  * altos/ao_storage: Allow apps to #define storage parameters
  * altos: Micropeak v2.0 doesn't have a flash loader anymore
  * altos/stm32l0: More DMA fixes
  * altos/stm32l0: Some device addrs were wrong
  * altos/stm32l0: Get SPI driver working
  * altos/stm32l0: Get exti working
  * altos/stm32l0: Remove some unused code in USART driver
  * altos/stm32l0: Remove some unused code in ao_timer.c
  * altos/stm32l0: Add adc and flash drivers
  * altos/micropeak-v2.0: Finish hardware bring-up
  * altos/stm32l0: Provide ao_spi_speed inline as per new clocking API
  * altos/stm32l0: Add LPUART driver
  * altos: add noreturn attribute to ao_panic
  * ao-tools: Add TeleGPS log parsing to ao-eeprom
  * altos: Remove ao_led_toggle API from general code
  * altos: Remove support for !HAS_TASK_QUEUE
  * altos/stm32l0: Big update in functionality
  * altos: Add MicroPeak v2.0 support to ao_log_micro
  * altos/micropeak-v2.0: Functionally complete.
  * altos/mpusb-v3.0: Make this build again
  * micropeak: Check for empty data when fetching log
  * micropeak: Fix top-level window building
  * micropeak: Add support for MicroPeak v2.0
  * altos: Don't report inhibited pyro channels as fired
  * altos: Allow multiple manual firing of main/drogue channels
  * altoslib: Don't fetch config data for every idle status
  * altoslib: Flush output when disabling remote
  * altoslib: Improve configuration performance over remote link
  * altosui: Improve configuration save feedback
  * doc: Fix spelling error in updating-firmware section.
  * altoslib: Deal with reflashing EasyMega boards with ancient firmware
  * altosuilib: Allow config to be missing in rom config dialog
  * libaltos: Map generic windows device names to actual names
  * altoslib: Set default logging directory to $HOME/AltusMetrum
  * macosx: Hack JavaApplicationStub to set freetype properties
  * windows: Point windows users at adoptopenjdk.net by default
  * altosuilib: Make dialogs mostly scrollable
  * macosx: Update macosx install script
  * libaltos: Update to support Mac OS X 10.15 (catalina)
  * altoslib: Print more helpful debug messages when checking rom version
  * doc: Add 1.9.5 release notes
  * altosdroid: Copy generated .apks to bin directory


=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: asciidoctor,
               ruby-asciidoctor-pdf,
               strip-nondeterminism,
               autoconf,
               automake,
               debhelper (>= 10),
               default-jdk,
	       faketime,
               freetts,
               gawk,
               gcc-arm-none-eabi,
               picolibc-arm-none-eabi,
               graphicsmagick | imagemagick,
               graphviz,
               icnsutils,
               icoutils,
               libbluetooth-dev,
               libelf-dev,
	       libjansson-dev,
	       libjson-c-dev,
               gtk-update-icon-cache,
               libjfreechart-java,
               libreadline-dev,
               librsvg2-bin,
               libtool,
               libusb-1.0-0-dev,
               netpbm,
               nickle,
	       cairo-5c,
               pkg-config,
               shared-mime-info,
               swig
Standards-Version: 4.3.0
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos -b debian
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: default-jre | java2-runtime,
         freetts,
         libjfreechart-java,
         nickle,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: slim | gdm
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1
PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')

# this target invoked by git-buildpackage using a clean hook, see .gbp.conf
prebuild:
	echo "not frobbing changelog for official builds"

configure_flags = --disable-install-shared-mime-info --enable-faketime

configure: configure-stamp
configure-stamp:
	autoreconf --force -v --install
	dh_auto_configure -- $(configure_flags) && touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	(cd doc ; $(MAKE))
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/altos.sharedmimeinfo
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/altos install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/altos/ -name '*.la'`

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/gdm/themes/altusmetrum/background.png
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/slim/themes/altusmetrum/background.png
	dh_installmenu
	cp icon/org-altusmetrum-mimetypes.xml debian/altos.sharedmimeinfo
	dh_installmime
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## altos 1.9.7

=== src/Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 ARMM3DIRS=\
 	easymega-v1.0 easymega-v1.0/flash-loader \
 	easymega-v2.0 easymega-v2.0/flash-loader \
+	easymotor-v2 easymotor-v2/flash-loader \
 	easytimer-v1 easytimer-v1/flash-loader \
 	telemega-v0.1 telemega-v0.1/flash-loader \
 	telemega-v1.0 telemega-v1.0/flash-loader \

=== debian/changelog ===
altos (1.9.7-2) unstable; urgency=medium

  * pull in fix from master branch for gcc-10 compilation, closes: #991800

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Aug 2021 09:44:09 -0600

altos (1.9.7-1) unstable; urgency=medium

  [ Keith Packard ]
  * Update 1.9.6 release date. Add note to Releasing about date
  * libaltos: Add windows override for EasyTimer USB ID
  * altos: Make accel cal take three axes when present
  * altoslib: Set all 3 axes of accel cal data when present
  * altoslib, altosuilib: Get Idle Monitor working with EasyTimer and EasyMotor
  * altosui: Match against basestations when determining remote
  * altos/easymotor-v2: Increase default flight log size
  * altos/easytimer-v1: Switch from including adxl375 to bmx160
  * altoslib, altosui: Don't show apogee/main for EasyTimer Fire Igniter
  * altos: Don't wait after igniter in manual mode
  * ao-bringup: Delay before testing easymini for 0.25 seconds
  * altoslib: Avoid sending negative accel cal values to flight computer
  * altoslib: Fix accel inversion for TeleMega v4.0
  * altoslib: Delay accel cal value adjustment until data all read
  * Version 1.9.6.1
  * altos: Add 'microtest' -- micropeak load for testing µPusb
  * ao-tools/ao-dump-up: Recognize MicroTest data
  * altoslib: Add all known launch sites and names to map preload
  * micropeak: Use a menu for 'Download' on Mac OS X
  * altosui: Show dialog box if sudo fails on Mac OS X
  * micropeak: Stick docs in Doc dir on Mac OS X
  * altosui: open /Library/AltusMetrum on Mac OS X after install
  * Version 1.9.6.2
  * altosuilib: Show launch sites at all visible locations on map
  * Add Mac OS X 11 support to JavaApplicationStub
  * Update JavaApplicationStub to latest release
  * Add local hacks to JavaApplicationStub
  * JavaApplicationStub hacks for Big Sur tabbing mode
  * Version 1.9.6.4
  * altoslib: Write IMU headers to CSV file when present
  * doc: Fix typography in motortest doc
  * Version 1.9.7
  * doc: Update for 1.9.7
  * altos/telegps-*: Fix log end discovery at startup
  * altos: Simplify discovery of log end position
  * Update 1.9.6 release date. Add note to Releasing about date
  * libaltos: Add windows override for EasyTimer USB ID
  * altos: Make accel cal take three axes when present
  * altoslib: Set all 3 axes of accel cal data when present
  * altoslib, altosuilib: Get Idle Monitor working with EasyTimer and EasyMotor
  * altosui: Match against basestations when determining remote
  * altos/easymotor-v2: Increase default flight log size
  * altos/easytimer-v1: Switch from including adxl375 to bmx160
  * altoslib, altosui: Don't show apogee/main for EasyTimer Fire Igniter
  * altos: Don't wait after igniter in manual mode
  * ao-bringup: Delay before testing easymini for 0.25 seconds
  * altoslib: Avoid sending negative accel cal values to flight computer
  * altoslib: Fix accel inversion for TeleMega v4.0
  * altoslib: Delay accel cal value adjustment until data all read
  * Version 1.9.6.1
  * altos: Add 'microtest' -- micropeak load for testing µPusb
  * ao-tools/ao-dump-up: Recognize MicroTest data
  * altoslib: Add all known launch sites and names to map preload
  * micropeak: Use a menu for 'Download' on Mac OS X
  * altosui: Show dialog box if sudo fails on Mac OS X
  * micropeak: Stick docs in Doc dir on Mac OS X
  * altosui: open /Library/AltusMetrum on Mac OS X after install
  * Version 1.9.6.2
  * altosuilib: Show launch sites at all visible locations on map
  * Add Mac OS X 11 support to JavaApplicationStub
  * Update JavaApplicationStub to latest release
  * Add local hacks to JavaApplicationStub
  * JavaApplicationStub hacks for Big Sur tabbing mode
  * Version 1.9.6.4
  * altoslib: Write IMU headers to CSV file when present
  * doc: Fix typography in motortest doc
  * Version 1.9.7
  * doc: Update for 1.9.7
  * altos/telegps-*: Fix log end discovery at startup
  * altos: Simplify discovery of log end position
  * altosuilib: Zap all flash when upgrading TeleGPS from pre-1.9.7
  * altoslib: Fix accel value flipping for TM v3.0
  * altosdroid: Skip clicks on BT device entries that are too short
  * altosdroid: Safeguard preferences code in case it's called too early
  * altosdroid: Synchronize access to the 'rockets' list for online maps
  * altosdroid: protect USB read/write when connection is null
  * altosdroid: Don't start bluetooth if address is null
  * altoslib: Protect has_monitor_battery from unset product
  * Version 1.9.6.5
  * altosdroid: Revert getResource().getColor to old API
  * altosdroid: Update target API to 29
  * altosdroid: Bump to version 29
  * doc: Update 1.9.7 release notes
  * Version 1.9.7

  [ Bdale Garbee ]
  * TeleLaunch docs use telelaunch.txt, update copyright year, lose "draft"
  * put notes in Releasing about keeping doc/header.inc up to date
  * doc: add documentation on how to re-flash a TeleMini v3 over USB
  * doc: first draft of manual for EasyMotor
  * doc: add a brief note about TeleBT appearing inert until paired
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: have motortest documents actually get built by default
  * doc: add motortest docs to publish targets
  * docs: minor text tweak in motor testing docs
  * altos: include EasyMotor v2 firmware in upcoming release
  * ao-tools: update ao-flash-stm32f0x to work with openocd in Debian unstable
  * ao-bringup: add tools for flash/cal/test of EasyMotor v2
  * ao-bringup: fix easymotor script to use .bin for dfu-util
  * TeleLaunch docs use telelaunch.txt, update copyright year, lose "draft"
  * put notes in Releasing about keeping doc/header.inc up to date
  * doc: add documentation on how to re-flash a TeleMini v3 over USB
  * doc: first draft of manual for EasyMotor
  * doc: add a brief note about TeleBT appearing inert until paired
  * doc: make doc be about motor testing in general, not just EasyMotor


## altos 1.9.10

=== src/Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	telemega-v2.0 telemega-v2.0/flash-loader \
 	telemega-v3.0 telemega-v3.0/flash-loader \
 	telemega-v4.0 telemega-v4.0/flash-loader \
+	telemega-v5.0 telemega-v5.0/flash-loader \
 	telemetrum-v2.0 telemetrum-v2.0/flash-loader \
 	telemetrum-v3.0 telemetrum-v3.0/flash-loader \
 	telegps-v0.3 telegps-v0.3/flash-loader \

=== src/easymega-v3.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_bmx160.h \
	ao_adxl375.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_bmx160.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v3.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=easymega-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/nucleao-32/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_lisp.h \
	ao_lisp_const.h \
	stm32f0.h \
	Makefile

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stmf0.c \
	ao_beep_stm.c \
	ao_dma_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_usb_stm.c \
	ao_serial_stm.c \
	ao_flash_stm.c \
	ao_lisp_atom.c \
	ao_lisp_builtin.c \
	ao_lisp_cons.c \
	ao_lisp_error.c \
	ao_lisp_eval.c \
	ao_lisp_frame.c \
	ao_lisp_int.c \
	ao_lisp_lambda.c \
	ao_lisp_lex.c \
	ao_lisp_mem.c \
	ao_lisp_poly.c \
	ao_lisp_read.c \
	ao_lisp_rep.c \
	ao_lisp_save.c \
	ao_lisp_stack.c \
	ao_lisp_string.c \
	ao_lisp_os_save.c

PRODUCT=Nucleo-32
PRODUCT_DEF=-DNUCLEO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

LDFLAGS=$(CFLAGS) -L$(TOPDIR)/stmf0 -Wl,-Tload.ld -n

PROGNAME=nucleo-32
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_nucleo.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

load: $(PROG)
	stm-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/telefiretwo-v0.2/Makefile ===
#
# TeleFire build file
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pad.h \
	ao_product.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	ao_cc1200_CC1200.h \
	ao_cc1200.h \
	stm32l.h
#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_adc_stm.c \
	ao_data.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_cc1200.c \
	ao_radio_cmac.c \
	ao_aes.c \
	ao_aes_tables.c \
	ao_pad.c \
	ao_radio_cmac_cmd.c

PRODUCT_SRC = \
	ao_telefiretwo.c

PRODUCT=TeleFire-v0.2
PRODUCT_DEF=-DTELEFIRETWO_V_0_2
IDPRODUCT=0x000f

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF)

PROGNAME = telefiretwo-v0.2
PROG = $(PROGNAME)-$(VERSION).elf
HEX = $(PROGNAME)-$(VERSION).ihx

SRC = $(ALTOS_SRC) $(PRODUCT_SRC)
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/telegps-v0.3/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_tracker.h \
	ao_task.h \
	ao_whiten.h \
	ao_cc115l.h \
	ao_fec.h \
	lpc.h \
	Makefile


ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer_lpc.c \
	ao_mutex.c \
	ao_freq.c \
	ao_spi_lpc.c \
	ao_usb_lpc.c \
	ao_exti_lpc.c \
	ao_serial_lpc.c \
	ao_gps_ublox.c \
	ao_gps_show.c \
	ao_cc115l.c \
	ao_fec_tx.c \
	ao_aprs.c \
	ao_tracker.c \
	ao_telemetry.c \
	ao_storage.c \
	ao_m25.c \
	ao_log.c \
	ao_log_gps.c \
	ao_distance.c \
	ao_sqrt.c \
	$(SAMPLE_PROFILE)

PRODUCT=TeleGPS-v0.3
PRODUCT_DEF=-DTELEGPS
IDPRODUCT=0x0025

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS) $(PROFILE_DEF)

PROGNAME=telegps-v0.3
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_telegps.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o ao_serial_lpc.h $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/telemega-v4.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_mpu9250.h \
	ao_mma655x.h \
	ao_cc1200_CC1200.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	ao_ms5607_convert.c \
	Makefile

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_gps_ublox.c \
	ao_gps_show.c \
	ao_gps_report_mega.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1200.c \
	ao_data.c \
	ao_ms5607.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_bmx160.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_telemetry.c \
	ao_packet_slave.c \
	ao_packet.c \
	ao_companion.c \
	ao_pyro.c \
	ao_aprs.c \
	ao_pwm_stm.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=TeleMega-v4.0
PRODUCT_DEF=-DTELEMEGA
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=telemega-v4.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_telemega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/test/Makefile ===
vpath %.o .
vpath %.c ..:../kernel:../drivers:../util:../micropeak:../aes:../product
vpath %.h ..:../kernel:../drivers:../util:../micropeak:../aes:../product
vpath make-kalman ..:../kernel:../drivers:../util:../micropeak:../aes:../product

PROGS=ao_flight_test ao_flight_test_baro ao_flight_test_accel ao_flight_test_noisy_accel ao_flight_test_mm \
	ao_flight_test_metrum ao_flight_test_mini \
	ao_gps_test ao_gps_test_skytraq ao_gps_test_ublox ao_convert_test ao_convert_pa_test ao_fec_test \
	ao_aprs_test ao_micropeak_test ao_fat_test ao_aes_test ao_int64_test \
	ao_ms5607_convert_test ao_quaternion_test

INCS=ao_kalman.h ao_ms5607.h ao_log.h ao_data.h altitude-pa.h altitude.h ao_quaternion.h ao_eeprom_read.h
TEST_SRC=ao_flight_test.c
TEST_SRC_ALL=ao_flight_test.c ao_eeprom_read.c ao_eeprom_read_old.c ao_data.c
TEST_LIB=-ljson-c

KALMAN=make-kalman 

CFLAGS=-I.. -I. -I../kernel -I../drivers -I../micropeak -I../product -I../lisp -O0 -g -Wall -DAO_LISP_TEST -no-pie

all: $(PROGS) ao_aprs_data.wav

clean::
	rm -f $(PROGS) ao_aprs_data.wav run-out.baro run-out.full

install:

ao_flight_test: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c altitude.h $(INCS)
	cc $(CFLAGS) -o $@ $(TEST_SRC) $(TEST_LIB)

ao_flight_test_noisy_accel: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c $(INCS)
	cc -DNOISY_ACCEL=1 $(CFLAGS) -o $@ $(TEST_SRC) $(TEST_LIB)

ao_flight_test_baro: $(TEST_SRC_ALL) ao_host.h ao_flight.c  ao_sample.c ao_kalman.c $(INCS)
	cc $(CFLAGS) -o $@ -DHAS_ACCEL=0 $(TEST_SRC) $(TEST_LIB)

ao_flight_test_accel: $(TEST_SRC_ALL) ao_host.h ao_flight.c  ao_sample.c ao_kalman.c $(INCS)
	cc $(CFLAGS) -o $@ -DFORCE_ACCEL=1 $(TEST_SRC) $(TEST_LIB)

ao_flight_test_mm: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c ao_pyro.c ao_pyro.h $(INCS)
	cc -DTELEMEGA=1 $(CFLAGS) -o $@ $(TEST_SRC)  $(TEST_LIB) -lm

ao_flight_test_metrum: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c ao_pyro.c ao_pyro.h $(INCS)
	cc -DTELEMETRUM_V2=1 $(CFLAGS) -o $@ $(TEST_SRC)  $(TEST_LIB) -lm

ao_flight_test_mini: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c ao_pyro.c ao_pyro.h $(INCS)
	cc -DEASYMINI=1 -DHAS_ACCEL=0 $(CFLAGS) -o $@ $(TEST_SRC)  $(TEST_LIB) -lm

ao_flight_test_motor: $(TEST_SRC_ALL) ao_host.h ao_flight.c ao_sample.c ao_kalman.c ao_pyro.c ao_pyro.h $(INCS)
	cc -DEASYMOTOR_V_2=1 $(CFLAGS) -o $@ $(TEST_SRC) $(TEST_LIB) -lm

ao_gps_test: ao_gps_test.c ao_gps_sirf.c ao_gps_print.c ao_host.h
	cc $(CFLAGS) -o $@ $<

ao_gps_test_skytraq: ao_gps_test_skytraq.c ao_gps_skytraq.c ao_gps_print.c ao_gps_show.c ao_host.h
	cc $(CFLAGS) -o $@ $<

ao_gps_test_ublox: ao_gps_test_ublox.c ao_gps_ublox.c ao_gps_print.c ao_gps_show.c ao_host.h ao_gps_ublox.h
	cc $(CFLAGS) -o $@ $<

ao_convert_test: ao_convert_test.c ao_convert.c altitude.h
	cc $(CFLAGS) -o $@ $<

ao_convert_pa_test: ao_convert_pa_test.c ao_convert_pa.c altitude-pa.h
	cc $(CFLAGS) -o $@ $<

ao_kalman.h: $(KALMAN)
	(cd .. && make ao_kalman.h)

ao_fec_test: ao_fec_test.c ao_fec_tx.c ao_fec_rx.c
	cc $(CFLAGS) -DAO_FEC_DEBUG=1 -o $@ ao_fec_test.c ../kernel/ao_fec_tx.c ../kernel/ao_fec_rx.c -lm

ao_aprs_test: ao_aprs_test.c ao_aprs.c
	cc $(CFLAGS) -o $@ ao_aprs_test.c -lm

SOX_INPUT_ARGS=--type raw --encoding unsigned-integer -b 8 -c 1 -r 9600
SOX_OUTPUT_ARGS=--type wav

ao_aprs_data.wav: ao_aprs_test
	./ao_aprs_test | sox $(SOX_INPUT_ARGS) - $(SOX_OUTPUT_ARGS) $@

check: ao_fec_test ao_flight_test ao_flight_test_baro run-tests
	./ao_fec_test && ./run-tests

ao_micropeak_test: ao_micropeak_test.c ao_microflight.c ao_kalman.h
	cc $(CFLAGS) -o $@ ao_micropeak_test.c -lm

ao_fat_test: ao_fat_test.c ao_fat.c ao_bufio.c
	cc $(CFLAGS) -o $@ ao_fat_test.c -lssl -lcrypto

ao_aes_test: ao_aes_test.c ao_aes.c ao_aes_tables.c
	cc $(CFLAGS) -o $@ ao_aes_test.c

ao_int64_test: ao_int64_test.c ao_int64.c ao_int64.h
	cc $(CFLAGS) -o $@ ao_int64_test.c

ao_ms5607_convert_test: ao_ms5607_convert_test.c ao_ms5607_convert_8051.c ao_int64.c ao_int64.h
	cc $(CFLAGS) -o $@ ao_ms5607_convert_test.c

ao_quaternion_test: ao_quaternion_test.c ao_quaternion.h
	cc $(CFLAGS) -o $@ ao_quaternion_test.c -lm

=== src/telegps-v1.0/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=telegps-v1.0
include $(TOPDIR)/lpc/Makefile-flash.defs

=== debian/changelog ===
altos (1.9.10-1) unstable; urgency=medium

  [ Keith Packard ]
  * libaltos: Make windows dlls reproducible
  * libaltos: Use original windows printf/scanf
  * Version 1.9.9.1
  * altosdroid: Switch storage to media dir
  * altoslib: Add callback from AltosLog on file open failure
  * altosdroid: Catch log file open failures and show an error dialog
  * doc: Version 1.9.10 notes
  * altos/telemega-v5.0: Add .gitignore
  * Version 1.9.10

  [ Bdale Garbee ]
  * update to latest policy and debhelper versions
  * releasing 1.9.10

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Oct 2021 21:44:54 -0600

altos (1.9.9-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture updates to Releasing from 1.9.8 release
  * update TeleMega bench scripts for v5.0 hardware
  * snapshot TeleMega v4 turnon and test scripts before crafting v5 versions
  * libaltos: don't carry pre-built .dll files in the repo any more
  * releasing 1.9.9

  [ Keith Packard ]
  * altosdroid: Set android version to 30
  * Remind us to update ANDROID_VERSION
  * altos: Fix config upgrade from 1.24 to 1.25
  * altoslib: Parse TeleMega v5.0 eeprom records
  * altos: Measure mmc5983 offset
  * 1.9.9 release notes
  * Version 1.9.9

 -- Bdale Garbee <bdale@gag.com>  Thu, 07 Oct 2021 00:01:59 -0600

altos (1.9.8-1) unstable; urgency=medium

  [ Keith Packard ]
  * altosdroid: Work without GPS available
  * altosuilib: Remove spurious message about libaltos
  * kernel: Widen pyro time values to 32 bits
  * doc: telemini force freq is pin 6, not 7
  * altosdroid: Show altitude as well as height
  * libaltos: Use cross compilers to build libaltos for i686, amd64, aarch64, armel and armhf
  * ao-bringup: Revert EasyMini scripts to 1.0
  * altos: Fixes for GCC 10 (-fno-common is default)
  * ao-test-igniter: Also test ADC voltage for in-range of 1-4 volts
  * ao-bringup: Use ao-test-igniter voltage check feature in pyro tests
  * altos: Add preliminary TeleMega v5.0 bits
  * altos: Add MMC5983 driver
  * altos: Change MMC5893 driver to avoid interrupts
  * libaltos: Add new microchip MAC address to bluetooth map
  * micropeak: Show error message if USB adapter open fails
  * altos: Prepare for picolibc stdio change
  * telemega-v5.0: Add Makefiles
  * Show mag sensor SPI ID
  * altos: Fix telemega v5.0 CS_FLASH pin
  * altos: Record MPU6000 failure but let device boot
  * altos/stm: Use picolibc startup code
  * altos: Add bit-bang i2c driver
  * altos: Get MMC5983 driver working
  * altos/stm: Minor cleanups in ao_arch_funcs.h
  * altos/telemega-v5.0: Fix config for MMC5983
  * altos: Detect CC120X device type
  * altos: Support normalized axes in mpu6000 and mmc5983
  * altos: Allow devices to override default beep
  * altos: Support normalized log
  * altos: Add normalized telemetry support
  * altos: Update telemega-v5.0 config
  * altoslib: Support TeleMega v5.0
  * altosui: Add options for low frequency beeper
  * altos: Fix up HAS_FLIGHT_DEBUG
  * altos: Allow beep tone spacing to be changed
  * altos/telemega-v5.0: Space tones closer together
  * altos: Build TeleMega v5.0 bits
  * Add TeleMega v5.0 firmware
  * altosdroid: Add tilt angle to pad and flight tabs
  * libaltos: Update windows DLLs
  * Bump version to 1.9.7.1
  * altos: Deal with cc1201 limitations
  * altos: All beep-enabled boards have beep config
  * Add test-easymini-v1.0 script
  * altoslib: Document how to add a new product
  * libaltos: Ignore cjnitest files for all targets
  * doc: Note pyro channel time limits on <1.9.8 firmware
  * doc: Add specs for TeleMega v5.0
  * doc: Update for 1.9.8
  * Version 1.9.8

  [ Bdale Garbee ]
  * doc: add mounting hole spacing information to product outlines
  * debian: add --disable-multi-arch to configure
  * update ChangeLog for 1.9.8 release

 -- Keith Packard <keithp@keithp.com>  Mon, 20 Sep 2021 21:30:49 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                strip-nondeterminism,
                autoconf,
                automake,
-               debhelper (>= 10),
+               debhelper (>= 13),
                default-jdk,
 	       faketime,
                freetts,
@@ -35,7 +35,7 @@
                pkg-config,
                shared-mime-info,
                swig
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://altusmetrum.org/AltOS
 Vcs-Git: git://git.gag.com/fw/altos -b debian
 Vcs-Browser: http://git.gag.com/?p=fw/altos

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 prebuild:
 	echo "not frobbing changelog for official builds"
 
-configure_flags = --disable-install-shared-mime-info --enable-faketime
+configure_flags = \
+	--disable-install-shared-mime-info \
+	--enable-faketime \
+	--disable-multi-arch
 
 configure: configure-stamp
 configure-stamp:
